Name:		lyx
Summary:	A word processor for the Desktop Environment
Version:	2.0.6
Release:	%mkrel 3
Source:		ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/%name-%version.tar.xz
# use xdg-open instead of hard coded applications to open files
# sent to upstream developers by fhimpe on 4 Jun 2009
Patch0:		lyx-2.0.6-xdg_open.patch
URL:		http://www.lyx.org/
Group:		Office/Word processor

BuildRequires:	qt4-devel xpm-devel libjpeg-devel
#BuildRequires:	chrpath
BuildRequires:	gettext-devel
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	ghostscript 
BuildRequires:	groff-for-man 
BuildRequires:	sgml-tools
BuildRequires:	dvips latex texinfo
BuildRequires:	boost-devel
# let's build it without hunspell as enchand defaults to hunspell
# building with hunspell doesn't find the dictionary
BuildRequires:	enchant-devel
BuildRequires:	python
BuildRequires:	imagemagick
Obsoletes:      lyx-gtk
Requires:	texlive latex dvips cmsuper fonts-ttf-latex 
Requires:	xdg-utils
License:	GPLv2+

%description
LyX is a modern approach of writing documents with a computer
which breaks with the tradition of the obsolete typewriter
concept.  It is designed for people who want a professional
output with a minimum of time effort, without becoming specia-
lists in typesetting.  Compared to common word processors LyX
will increase the productivity a lot, since most of the type-
setting will be done by the computer, not the author.  With LyX
the author can concentrate on the contents of their writing,
since the computer will take care of the look.

%prep
%setup -q
%patch0 -p1 -b .xdg-open

%build
%configure2_5x --with-frontend=qt4 --disable-rpath \
	--without-included-boost \
	-enable-optimization="%{optflags}" \
	--with-enchant
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-lyx.desktop << EOF
[Desktop Entry]
Name=LyX
Comment=TeX document processor - especially good at scientific documents
Exec=lyx
Icon=lyx
Terminal=false
Type=Application
Categories=Qt;Office;WordProcessor;X-MandrivaLinux-CrossDesktop;
MimeType=application/x-lyx;
EOF


## icons
mkdir -p %{buildroot}/%_liconsdir
convert -size 48x48 development/Win32/packaging/icons/lyx_32x32.png %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%_iconsdir
cp development/Win32/packaging/icons/lyx_32x32.png %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%_miconsdir
convert -size 16x16 development/Win32/packaging/icons/lyx_32x32.png %{buildroot}/%_miconsdir/%name.png

## Set up the lyx-specific class files where TeX can see then
TEXMF=%{_datadir}/texmf
mkdir -p %{buildroot}${TEXMF}/tex/latex
cp -r %{buildroot}%_datadir/lyx/tex %{buildroot}${TEXMF}/tex/latex/lyx
chmod +x %{buildroot}%_datadir/lyx/configure.py
rm -f %{buildroot}%_bindir/listerrors

%find_lang %name

#chrpath -d %{buildroot}%_bindir/%name


## Fix the TeX file hash
texhash
## Before configuring lyx for the local system 
## PATH needs to be imported
if [ -f /etc/profile ]; then
    . /etc/profile
fi
## Now configure LyX
cd %{buildroot}%_datadir/lyx
./configure.py > /dev/null

%files -f %name.lang
%doc README ANNOUNCE
%_bindir/%name
%_bindir/lyxclient
%_bindir/tex2lyx
%_mandir/man1/*
%_datadir/%name
%_datadir/texmf/tex/latex/lyx
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_datadir/applications/%{_real_vendor}-lyx.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.6-3.mga4
+ Revision: 529537
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 2.0.6-2.mga4
+ Revision: 452376
- rebuild for new boost

* Thu May 23 2013 spuhler <spuhler> 2.0.6-1.mga4
+ Revision: 425421
- upgrade to 2.0.6
- replaced patches accordingly

* Thu Apr 11 2013 spuhler <spuhler> 2.0.5.1-3.mga3
+ Revision: 409593
- bumped rel for rebuild against boost-1.53

* Sat Jan 12 2013 umeabot <umeabot> 2.0.5.1-2.mga3
+ Revision: 359224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 2.0.5.1-1.mga3
+ Revision: 337964
- new version 2.0.5.1

* Thu Dec 20 2012 fwang <fwang> 2.0.5-2.mga3
+ Revision: 333051
- rebuild for new boost

* Mon Nov 12 2012 fwang <fwang> 2.0.5-1.mga3
+ Revision: 317102
- update rpm group
- new version 2.0.5

* Tue Jul 31 2012 fwang <fwang> 2.0.4-2.mga3
+ Revision: 276700
- rebuild for new boost

* Sat Jun 30 2012 fwang <fwang> 2.0.4-1.mga3
+ Revision: 265237
- new version 2.0.4

* Wed May 30 2012 fwang <fwang> 2.0.3-4.mga3
+ Revision: 250118
- do not set locale based dir

* Wed May 30 2012 fwang <fwang> 2.0.3-3.mga3
+ Revision: 250104
- rebuild for new boost

* Wed Mar 14 2012 spuhler <spuhler> 2.0.3-2.mga2
+ Revision: 223315
- build without hunspell as enchant defaults to hunspell by itself

* Wed Feb 29 2012 fwang <fwang> 2.0.3-1.mga2
+ Revision: 215978
- new version 2.0.3

* Wed Nov 30 2011 fwang <fwang> 2.0.2-1.mga2
+ Revision: 174348
- new version 2.0.2

* Mon Nov 28 2011 fwang <fwang> 2.0.1-3.mga2
+ Revision: 173612
- rebuild for new boost

* Tue Sep 06 2011 schultz <schultz> 2.0.1-2.mga2
+ Revision: 139759
- Remove gender bias from description

* Tue Sep 06 2011 fwang <fwang> 2.0.1-1.mga2
+ Revision: 139641
- new version 2.0.1
- rebuild for new boost

* Sun Jun 26 2011 fwang <fwang> 2.0.0-3.mga2
+ Revision: 113999
- rebuild for new hunspell

* Wed Jun 22 2011 fwang <fwang> 2.0.0-2.mga2
+ Revision: 111915
- rebuild for new boost

* Thu Jun 16 2011 tv <tv> 2.0.0-1.mga2
+ Revision: 108511
- new version 2.0.0
- br gettext
- use xz tarball

* Tue Apr 26 2011 wally <wally> 1.6.8-3.mga1
+ Revision: 91768
- fix desktop file name (mga#954)
- fix exec line on desktop file

* Fri Mar 04 2011 boklm <boklm> 1.6.8-2.mga1
+ Revision: 64176
- use texlive instead of tetex

* Thu Feb 10 2011 spuhler <spuhler> 1.6.8-1.mga1
+ Revision: 49629
-cd %%_datadir/lyx
  +cd %%{buildroot}%%_datadir/lyx
-#%%_datadir/%%name
  +%%_datadir/%%name
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package lyx


* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 1.6.8-1mdv2011.0
+ Revision: 598010
- new version 1.6.8

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.6.7-3mdv2011.0
+ Revision: 572390
- rebuild for new boost

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 1.6.7-2mdv2011.0
+ Revision: 566282
- rebuild for new boost

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 1.6.7-1mdv2011.0
+ Revision: 553559
- new version 1.6.7

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1.6.6.1-1mdv2011.0
+ Revision: 550553
- new version 1.6.6.1

* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.6.5-5mdv2010.1
+ Revision: 513090
- add MimeType entry to .desktop file (fix mdv bug#57941)

* Wed Feb 17 2010 Lev Givon <lev@mandriva.org> 1.6.5-4mdv2010.1
+ Revision: 507054
- Require tetex-cmsuper (#42320).

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.6.5-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.6.5-2mdv2010.1
+ Revision: 500056
- rebuild for new boost

* Mon Dec 07 2009 Funda Wang <fwang@mandriva.org> 1.6.5-1mdv2010.1
+ Revision: 474311
- new version 1.6.5

* Mon Aug 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.4-1mdv2010.0
+ Revision: 420589
- Update to new version 1.6.4
- Updated xdg_open patch from Fedora

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.6.3-2mdv2010.0
+ Revision: 418799
- rebuild for new boost

* Thu Jun 04 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.3-1mdv2010.0
+ Revision: 382855
- Update to new version 1.6.3
- Use system boost
- Rediff xdg-open patch

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.2-1mdv2009.1
+ Revision: 355584
- Update to new version 1.6.2

* Mon Dec 15 2008 Thierry Vignaud <tv@mandriva.org> 1.6.1-1mdv2009.1
+ Revision: 314457
- new release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 15 2008 Frederik Himpe <fhimpe@mandriva.org> 1.6.0-2mdv2009.1
+ Revision: 303592
- Add patch from upstream svn fixing error when running configure.py
- Use %%{buildroot} instead of $RPM_BUILD_ROOT in SPEC file
- use xdg-open to open files (bug #42866), patch from Fedora

* Tue Nov 11 2008 Frederik Himpe <fhimpe@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 302104
- update to new version 1.6.0

* Tue Jul 29 2008 Funda Wang <fwang@mandriva.org> 1.5.6-2mdv2009.0
+ Revision: 252453
- should be GPLv2+

* Tue Jul 29 2008 Funda Wang <fwang@mandriva.org> 1.5.6-1mdv2009.0
+ Revision: 252397
- New version 1.5.6

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Funda Wang <fwang@mandriva.org> 1.5.5-1mdv2009.0
+ Revision: 205569
- use configure2_5x
- Drop merged patch
- New version 1.5.5

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add patch0 to fix build with qt 4.4

* Fri May 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.5.4-2mdv2009.0
+ Revision: 205347
- Rebuild against new Qt 4

* Tue Feb 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1.5.4-1mdv2008.1
+ Revision: 175515
- New upstream release
- Remove some usless and huge doc files
- Make its menu entry CrossDesktop: GNOME users don't have a native
  alternative

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Thierry Vignaud <tv@mandriva.org> 1.5.3-1mdv2008.1
+ Revision: 140663
- further fix build with latest qt4
- fix build with latest qt4
- new release
- kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Thierry Vignaud <tv@mandriva.org> 1.5.2-3mdv2008.1
+ Revision: 117292
- release

* Thu Oct 11 2007 Thierry Vignaud <tv@mandriva.org> 1.5.2-2mdv2008.1
+ Revision: 97131
- obsoletes lyx-gtk

* Thu Oct 11 2007 Funda Wang <fwang@mandriva.org> 1.5.2-1mdv2008.1
+ Revision: 97054
- New version 1.5.2

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Thu Aug 16 2007 Austin Acton <austin@mandriva.org> 1.5.1-1mdv2008.0
+ Revision: 63983
- new version

* Wed Aug 01 2007 Thierry Vignaud <tv@mandriva.org> 1.5.0-1mdv2008.0
+ Revision: 57762
- new release (using qt4)
- fix build when both qt3 & qt4 are installed
- drop gtk+ backend since it's no more in main sources


* Tue Mar 13 2007 Emmanuel Blindauer <blindauer@mandriva.org> 1.4.4-1mdv2007.1
+ Revision: 143234
- new version (1.4.4 bugfixes)

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.3-1mdv2007.1
+ Revision: 86989
- new release

* Tue Sep 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-2mdv2007.0
+ Revision: 60856
- rebuild for new libcairomm

* Fri Jul 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-1mdv2007.0
+ Revision: 42333
- fix meny entry
- new release
- new release
- XDG menu
- sync with cooker

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - We are Mandriva now
    - Uploading package ./lyx

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.5-2mdk
- remove dependancy on xform (#13097)

* Fri Nov 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.5-1mdk
- new release
- kill patches 5 & 6

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.4-5mdk
- build release

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.4-4mdk
- patch 6: fix LANGUAGE=lang1:lang2 fallback support (pablo)
  thus enabling to remove lyx wrapper

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.4-3mdk
- rebuild for new g++
- patch 5: fix build with g++-3.4.x

* Fri Apr 16 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.4-2mdk
- fix build, hit titi

